Skip to content

Update Endpoint

PATCH
/api/v1/funding-schedules/{schedule_id}
curl --request PATCH \
--url https://example.com/api/v1/funding-schedules/1 \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "frequency": "example", "repeat_every": 1, "start_date": "2026-04-15", "second_day_of_month": 1, "weekend_shift": "example", "is_default": true }'
schedule_id
required
Schedule Id
integer
Media typeapplication/json
FundingScheduleUpdate

Partial body; cross-field cadence rules are checked in the service on merged values.

object
name
Any of:
string
>= 1 characters <= 100 characters
frequency
Any of:
string
/^(weekly|semi_monthly|monthly|quarterly|yearly)$/
repeat_every
Any of:
integer
>= 1 <= 52
start_date
Any of:
string format: date
second_day_of_month
Any of:
integer
>= 1 <= 31
weekend_shift
Any of:
string
/^(none|before|after)$/
is_default
Any of:
boolean

Example generated

{
"name": "example",
"frequency": "example",
"repeat_every": 1,
"start_date": "2026-04-15",
"second_day_of_month": 1,
"weekend_shift": "example",
"is_default": true
}

Successful Response

Media typeapplication/json
FundingScheduleOut
object
id
required
Id
integer
name
required
Name
string
frequency
required
Frequency
string
repeat_every
required
Repeat Every
integer
day_of_week
required
Any of:
integer
day_of_month
required
Any of:
integer
second_day_of_month
required
Any of:
integer
month_of_year
required
Any of:
integer
start_date
required
Start Date
string format: date
weekend_shift
required
Weekend Shift
string
is_default
required
Is Default
boolean
next_date
required
Any of:
string format: date
usage_count
Usage Count
integer
0
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time

Example

{
"usage_count": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}